//
//  DemoButton.swift
//  DemoControl
//
//  Created by Macintosh HD on 11/30/17.
//  Copyright © 2017 iOS-Tutorial. All rights reserved.
//

import UIKit

@IBDesignable class DemoButton: UIButton {

    @IBInspectable var cornerRadius : CGFloat = 10 {
        didSet {
            self.setupButton()
        }
    }
    
    @IBInspectable var borderWidth : CGFloat = 5 {
        didSet {
            self.setupButton()
        }
    }
    
    @IBInspectable var borderColor : UIColor = UIColor.red {
        didSet {
            self.setupButton()
        }
    }
    
    override init(frame: CGRect) {
        
        super.init(frame: frame)
        
        setupButton()
    }
    
    required init?(coder aDecoder: NSCoder) {
        
        super.init(coder: aDecoder)
        
        setupButton()
    }
    

    
    func setupButton() {
        
        self.layer.cornerRadius = self.cornerRadius
        self.layer.borderWidth = self.borderWidth
        self.layer.borderColor = self.borderColor.cgColor
    }
    
    /*
    // Only override draw() if you perform custom drawing.
    // An empty implementation adversely affects performance during animation.
    override func draw(_ rect: CGRect) {
        // Drawing code
    }
    */

}
